<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:spring="http://java.sun.com/xml/ns/javaee">
<head>
    <meta charset="UTF-8"/>
    <title>Movie Catalog</title>
    <style>
h1 {
  text-align: center;
}


</style>
</head>
<body>


<p><a href="http://localhost:8080/actors/"></a></p>

<p></p>
<div class="btn-group" style="width:100%">
    <input type="button" onclick="location.href='/movies';" style=width:20%; value="Movies"/>
    <input type="button" onclick="location.href='/actors';" style=width:20%; value="Actors"/>
    <input type="button" onclick="location.href='/directors';" style=width:20%; value="Directors"/>
    <input type="button" onclick="location.href='/users';" style=width:20%; value="Users"/>
</div>

<h1>List of actors</h1>

<form action="/actors" method="get">
    <p>search by name:</p>
    <input type="search" name="firstName"/>
    <br/>
    <input type="submit" value="Filter"/>
</form>




<html>
<head>
    <style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>
<script>
function validateForm() {
  var x = document.forms["myForm"]["firstName"].value;
  var y = document.forms["myForm"]["lastName"].value;
  var z = document.forms["myForm"]["dateOfBirth"].value;
  if (x == "") {
    alert("First name must be filled out");
    return false;
  }if (y == "") {
    alert("Last name must be filled out");
    return false;
    }if (z == "") {
    alert("Date of birth must be filled out");
    return false;
    }
}
</script>


<form th:action="@{/actors}" name="myForm" action="/action_page.php" onsubmit="return validateForm()" method="post">
    <p>Add new Actor:</p>
    <p>First Name: <input type="text" name="firstName" placeholder="Chuck"></p>
    <p>Last Name: <input type="text" name="lastName" placeholder="Noriss"></p>
    <p>Year Born: <input type="number" name="dateOfBirth" placeholder="1899"></p>
    <script>

</script>
    <input type="submit" value="New Actor"/>
</form>


<table>
    <tr>
        <th>ID</th>
        <th>First name</th>
        <th>Last name</th>
        <th>Date of Birth</th>
        <th>Delete actor</th>
        <th>Update actor</th>
    </tr>
    <tr th:each="actor : ${actors}">



        <td th:text="${actor.id}">123</td>

        <td>
            <a th:href="@{/actors/{id}(id=${actor.id})}"
                th:text="${actor.firstName}"></a>
        </td>
        <td>
        <a th:href="@{/actors/{id}(id=${actor.id})}"
           th:text="${actor.lastName}"></a>
        </td>
        <td th:text="${actor.dateOfBirth}">date of Birth</td>
        <td>
            <form th:action="@{delete}" method="post">
                <input type="hidden" name="id" th:value="${actor.id}" />
                <input type="submit" value="Delete" class="btn btn-danger" />
            </form>
        </td>

        <td>
            <a th:href="@{/actor-update/{id}(id=${actor.id})}"
               >Update!</a>
        </td>
        <td> <h2></h2>



    </tr>
</table>



<script>

</script>
</body>
</html>